$BuildBans=0;
package buildban
{
	function GameConnection::AutoAdminCheck(%client){
		Parent::AutoAdminCheck(%client);
		if($BuildBan::Started)
			return;
		$BuildBan::Started=true;
		%file = new FileObject();
		%file.openForRead("config/server/buildban.txt");
		while(!%file.isEOF()){
			%line=%file.readLine();
			if(%line>0)
				$BuildBans[%line]=1;
		}
		%file.close();
		%file.delete();
	}
	function destroyServer(){
		Parent::destroyServer();
		$BuildBan::Started=false;
		%file = new FileObject();
		%file.openForWrite("config/server/buildban.txt");
		for(%i=0;%i<1000000;%i++){
			%ban=$BuildBans[%i];
			if(%ban==1){
				%file.writeLine(%i);
				%ban=0;
			}
		}
		%file.close();
		%file.delete();
	}
	function servercmdPlantBrick(%client){
		if($BuildBans[%client.bl_id]==1){
			%client.centerPrint("You are Build Banned. You cannot plant that brick.",3);
			return;
		}
		Parent::serverCmdPlantBrick(%client);
	}
};
function GameConnection::getRank(%this){
	if(!isObject(%this))
		return;
	if(%this.isHost)
		return 3;
	else if(%this.isSuperAdmin)
		return 2;
	else if(%this.isAdmin)
		return 1;
	else
		return 0;
}
function serverCmdBuildBan(%client,%victim){
	if(!%client.isSuperAdmin)
		return;
	%target=findclientbyname(%victim);
	if(!isObject(%target))
		return;
	if(%target.getRank()>=%client.getRank()){
		messageClient(%client,'',"That person has a greater or equal rank than you.");
		return;
	}
	if($BuildBans[%target.bl_id]==1){
		messageClient(%client,'',"That person is already Build Banned.");
		return;
	}
	$BuildBans[%target.bl_id]=1;
	messageAll('MsgAdminForce',"\c3"@%client.name @ "\c2 Build Banned \c3" @ %target.name);
}
function serverCmdUnBuildBan(%client,%victim){
	echo("unbuildban");
	if(!%client.isSuperAdmin)
		return;
	echo("super admin");
	%target=findclientbyname(%victim);
	if(!isObject(%target))
		return;
	echo("target valid");
	if(!$BuildBans[%target.bl_id]){
		echo("not banned");
		messageClient(%client,'',"That person isn't Build Banned.");
		return;
	}
	echo("target banned");
	messageClient(%client,'',"You removed "@ %target.name @ "'s Build Ban.");
	$BuildBans[%target.bl_id]=0;
}
deactivatepackage(buildban);
activatepackage(buildban);